A valid request URL is required to generate request examples{
"transaction_id": "<string>",
"properties": {}
}Create new namespace id.
During the creation process, the implementation may modify user-provided properties,
such as adding additional properties like created_at to user-provided properties,
omitting any specific property, or performing actions based on any property value.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/namespace/{id}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"mode": "<string>",
"properties": {}
}
'{
"transaction_id": "<string>",
"properties": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Identity information of a request.
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
There are three modes when trying to create a namespace, to differentiate the behavior when a namespace of the same name already exists. Case insensitive, supports both PascalCase and snake_case. Valid values are:
Properties stored on the namespace, if supported by the implementation.
Show child attributes
Result of creating a namespace
Optional transaction identifier
Properties after the namespace is created.
If the server does not support namespace properties, it should return null for this field. If namespace properties are supported, but none are set, it should return an empty object.
Show child attributes
Was this page helpful?